Subject: [SIP] > 12. Re: Questions on section 10.1.1 of RFC2543bis (Jonathan Rosenberg)

From: Gopal <[email-masked]>
Date: Fri, 23 Jun 2000 07:59:57 -0400

> Return-Path: <[email-masked]>
> Delivered-To: [email-masked]
> Message-ID: <[email-masked]>
> Date: Thu, 22 Jun 2000 18:00:00 -0400
> From: Jonathan Rosenberg <[email-masked]>
> Organization: dynamicsoft
> MIME-Version: 1.0
> To: Jo Hornsby <[email-masked]>
> Cc: Ajay Chitturi <[email-masked]>,
>       [email-masked]
> Subject: Re: [SIP] Questions on section 10.1.1 of RFC2543bis
> References: <[email-masked]>
> Content-Type: text/plain; charset=iso-8859-1
> Content-Transfer-Encoding: 8bit
> 
> 
> 
> Jo Hornsby wrote:
> > 
> > > The following is a paragraph in section 10.1.1 of the RFC2543bis draft
> > >     When a user agent server receives a request, it checks the Call-ID
> > >     against those of in-progress calls. If the Call-ID was found, it
> > >     compares the tag value of To with the users tag and rejects
> > >     the request if the two do not match. If the From header, including
--- snipped 4 lines ----
> > > Why is just the tag value of To compared (while the whole of From
> > > header is compared).

> No; nothing like that. I actually think the complete To field should be
> included in the comparison, so as to make this consistent with the
> definition of a call leg (which does include To). In practice it will

There is another potential problem though with comparing tag value of To.
Consider the foll. scenario when a UAC talks directly to a UAS  (no proxy)

	UAC				UAS
INVITE (no tag value for To)----------->Generate new Tag value for To
		        (lost)X <------ 100 Trying (MAY include tag in To)
		        (lost)X <------ 180 Ringing (MAY include tag in To)

(timeout. Retransmit INVITE)
INVITE ((no tag value for To)---------->Rejected since Tag value of To does not
					match

10.1.1 of RFC2543bis I think (wrongfully) suggests the above behavior. Ideally,
re-transmission of the INVITE should trigger the 180 response from the UAS. I
think the tag value of To should be compared only if the To field in the
incoming message has a tag. Sec. 6.23 actually states that tag values of 2
URIs are compared only if both URIs have tags. How about changing the sentence to

"If the Call-ID was found, it compares the tag value of To (if present)
 with the users tag and rejects the request if the two do not match."

-gopal

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 26 Jun 2000 14:46:51 -0400

>  with the users tag and rejects the request if the two do not match."

Right. This also allows you to send a BYE without knowing the tag,
something that can cause problems, but people seem very insistent on.
We'll try to clean up the description. Tags are an unending source of
confusion.

-Jonathan R.

-- 
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
http://www.dynamicsoft.com